Bug 1664842 - which command deprecates `oc adm manage-node`?
Summary: which command deprecates `oc adm manage-node`?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.1.0
Assignee: Maciej Szulik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-09 19:28 UTC by Hongkai Liu
Modified: 2019-10-25 03:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:48 UTC

Description Hongkai Liu 2019-01-09 19:28:52 UTC
$ oc version
oc v4.0.0-0.130.0
kubernetes v1.11.0+f67f40dbad
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://hongkliu-api.qe.devcluster.openshift.com:6443
kubernetes v1.11.0+0583818


$ oc adm manage-node -h
Command "manage-node" is deprecated, Use 'oc adm ca' instead.
Manage nodes 
.................

However, `oc adm ca` seems not helping.

$ oc adm ca -h
Manage certificates and keys

Usage:
  oc adm ca [flags]

Available Commands:
  create-key-pair     Create a public/private key pair
  create-master-certs Create certificates and keys for a master
  create-server-cert  Create a signed server certificate and key
  create-signer-cert  Create a signer (certificate authority/CA) certificate and key
  decrypt             Decrypt data encrypted with "oc adm ca encrypt"
  encrypt             Encrypt data with AES-256-CBC encryption

Use "oc adm <command> --help" for more information about a given command.
Use "oc adm options" for a list of global command-line options (applies to all commands).

Comment 1 Juan Vallejo 2019-01-17 15:36:38 UTC
Origin PR: https://github.com/openshift/origin/pull/21814

Comment 3 Maciej Szulik 2019-02-28 20:46:57 UTC
PR merged, moving to on qa.

Comment 4 Hongkai Liu 2019-02-28 21:28:02 UTC
This bug was found by `oc adm manage-node --schedulable=true <node_name>`.

With recently version, I can find the right command which replaces the above command.

# oc version --client -o yaml
clientVersion:
  buildDate: 2019-02-27T02:13:46Z
  compiler: ""
  gitCommit: 0cbcfc5afe
  gitTreeState: ""
  gitVersion: v4.0.5
  goVersion: ""
  major: "4"
  minor: 0+
  platform: ""


# oc adm manage-node --schedulable=true ip-172-31-62-96.us-west-2.compute.internal
Error: unknown flag: --schedulable


Usage:
  oc adm [flags]

Cluster Management:
  upgrade                            Upgrade a cluster
  top                                Show usage statistics of resources on the server

Node Management:
  drain                              Drain node in preparation for maintenance
  cordon                             Mark node as unschedulable
  uncordon                           Mark node as schedulable
  taint                              Update the taints on one or more nodes
  node-logs                          Display and filter node logs
...

# oc adm cordon --help
Mark node as unschedulable.

Usage:
  oc adm cordon NODE [flags]

Examples:
  # Mark node "foo" as unschedulable.
  oc adm cordon foo

Options:
      --dry-run=false: If true, only print the object that would be sent, without sending it.
  -l, --selector='': Selector (label query) to filter on

Use "oc adm options" for a list of global command-line options (applies to all commands).

# oc get node
NAME                                         STATUS   ROLES    AGE    VERSION
ip-10-0-139-117.us-east-2.compute.internal   Ready    master   137m   v1.12.4+0cbcfc5afe
ip-10-0-141-124.us-east-2.compute.internal   Ready    worker   120m   v1.12.4+0cbcfc5afe
ip-10-0-146-210.us-east-2.compute.internal   Ready    master   137m   v1.12.4+0cbcfc5afe
ip-10-0-153-255.us-east-2.compute.internal   Ready    worker   120m   v1.12.4+0cbcfc5afe
ip-10-0-168-2.us-east-2.compute.internal     Ready    master   137m   v1.12.4+0cbcfc5afe
ip-10-0-173-190.us-east-2.compute.internal   Ready    worker   120m   v1.12.4+0cbcfc5afe

# oc adm cordon ip-10-0-141-124.us-east-2.compute.internal
node/ip-10-0-141-124.us-east-2.compute.internal cordoned

# oc get node
NAME                                         STATUS                     ROLES    AGE    VERSION
ip-10-0-139-117.us-east-2.compute.internal   Ready                      master   138m   v1.12.4+0cbcfc5afe
ip-10-0-141-124.us-east-2.compute.internal   Ready,SchedulingDisabled   worker   120m   v1.12.4+0cbcfc5afe
ip-10-0-146-210.us-east-2.compute.internal   Ready                      master   138m   v1.12.4+0cbcfc5afe
ip-10-0-153-255.us-east-2.compute.internal   Ready                      worker   120m   v1.12.4+0cbcfc5afe
ip-10-0-168-2.us-east-2.compute.internal     Ready                      master   138m   v1.12.4+0cbcfc5afe
ip-10-0-173-190.us-east-2.compute.internal   Ready                      worker   120m   v1.12.4+0cbcfc5afe

Comment 7 errata-xmlrpc 2019-06-04 10:41:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.